## org.apache.batik.dom
Class AbstractDocument.XPathNodeNSResolver

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.XPathNodeNSResolver

All Implemented Interfaces:
  org.w3c.dom.xpath.XPathNSResolver

Enclosing class:
  AbstractDocument

    protected class AbstractDocument.XPathNodeNSResolver

extends java.lang.Object
implements org.w3c.dom.xpath.XPathNSResolver

An XPathNSResolver that uses Node.lookupNamespaceURI.

Field Summary
`protected org.w3c.dom.Node` `contextNode` The context node for namespace prefix resolution.

Constructor Summary
`AbstractDocument.XPathNodeNSResolver(org.w3c.dom.Node n)` Creates a new XPathNodeNSResolver object.

Method Summary
`java.lang.String` `lookupNamespaceURI(java.lang.String prefix)` DOM: Implements `XPathNSResolver.lookupNamespaceURI(String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextNode

    protected org.w3c.dom.Node contextNode

  The context node for namespace prefix resolution.

Constructor Detail

### AbstractDocument.XPathNodeNSResolver

    public AbstractDocument.XPathNodeNSResolver(org.w3c.dom.Node n)

  Creates a new XPathNodeNSResolver object.

Method Detail

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String prefix)

  DOM: Implements `XPathNSResolver.lookupNamespaceURI(String)`.

  Specified by:
    `lookupNamespaceURI` in interface `org.w3c.dom.xpath.XPathNSResolver`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.